You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

48 lines
929 B

8 years ago
  1. #! /bin/bash
  2. set -e
  3. # set glide.lock path
  4. if [[ "$GLIDE" == "" ]]; then
  5. GLIDE=$GOPATH/src/github.com/tendermint/tendermint/glide.lock
  6. fi
  7. # get vendored commit for given lib
  8. ####################
  9. # libs we depend on
  10. ####################
  11. LIBS_GO_TEST=(go-clist go-common go-config go-crypto go-db go-events go-merkle go-p2p)
  12. LIBS_MAKE_TEST=(go-rpc go-wire abci)
  13. for lib in "${LIBS_GO_TEST[@]}"; do
  14. # checkout vendored version of lib
  15. bash scripts/glide/checkout.sh "$GLIDE" "$lib"
  16. echo "Testing $lib ..."
  17. go test -v --race "github.com/tendermint/$lib/..."
  18. if [[ "$?" != 0 ]]; then
  19. echo "FAIL"
  20. exit 1
  21. fi
  22. done
  23. DIR=$(pwd)
  24. for lib in "${LIBS_MAKE_TEST[@]}"; do
  25. # checkout vendored version of lib
  26. bash scripts/glide/checkout.sh "$GLIDE" "$lib"
  27. echo "Testing $lib ..."
  28. cd "$GOPATH/src/github.com/tendermint/$lib"
  29. make test
  30. if [[ "$?" != 0 ]]; then
  31. echo "FAIL"
  32. exit 1
  33. fi
  34. cd "$DIR"
  35. done
  36. echo ""
  37. echo "PASS"